cancel
Showing results for 
Search instead for 
Did you mean: 
Astronaut

J7 Android Version

JUMP TO SOLUTION
I have Galaxy J7 Sky Pro running Android 6.0.1. I need Android 7.0 to use my mobile banking app.  How do I get it?
1 SOLUTION

Accepted Solutions

Re: J7 Android Version

JUMP TO SOLUTION
That phone is a little old and probably won't be updated so most likely you need a newer phone

View solution in original post

Reply
Loading...
3 REPLIES 3

Re: J7 Android Version

JUMP TO SOLUTION
That phone is a little old and probably won't be updated so most likely you need a newer phone

View solution in original post

Reply
Loading...
Astronaut

Re: Re: J7 Android Version

JUMP TO SOLUTION
That's sad. I like my phone.
Reply
Loading...

Re: J7 Android Version

JUMP TO SOLUTION
yea sad samsung only supports thr older phones for 2 years at least they chaged their policy to 3 years.
If your not in for software updates I recommend the Galaxy S9 or Note and maybe the S10e they cost much less now
Reply
Loading...